Package org.apache.lucene.monitor

# Interface MonitorUpdateListener

public interface MonitorUpdateListener
For reporting events on a Monitor's query index

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `afterClear()`
  Called after all queries have been removed from the Monitor's query index
  `default void`
  `afterDelete(List<String> queryIds)`
  Called after a set of queries have been deleted from the Monitor's query index
  `default void`
  `afterUpdate(List<MonitorQuery> updates)`
  Called after a set of queries have been added to the Monitor's query index
  `default void`
  `onPurge()`
  Called after the Monitor's query cache has been purged of deleted queries
  `default void`
  `onPurgeError(Throwable t)`
  Called if there was an error removing deleted queries from the Monitor's query cache

- ## Method Details

  - ### afterUpdate

    default void afterUpdate(List<MonitorQuery> updates)
    Called after a set of queries have been added to the Monitor's query index

  - ### afterDelete

    default void afterDelete(List<String> queryIds)
    Called after a set of queries have been deleted from the Monitor's query index

  - ### afterClear

    default void afterClear()
    Called after all queries have been removed from the Monitor's query index

  - ### onPurge

    default void onPurge()
    Called after the Monitor's query cache has been purged of deleted queries

  - ### onPurgeError

    default void onPurgeError(Throwable t)
    Called if there was an error removing deleted queries from the Monitor's query cache